package nc.ui.gl.cashdiary;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.HashMap;
import javax.swing.JFrame;
import nc.bs.logging.Logger;
import nc.ui.gl.bankreport.ButtonKey;
import nc.ui.gl.bankreport.DetailView;
import nc.ui.gl.bankreport.DiaryBooksModel;
import nc.ui.gl.cachefeed.BookCacheRequestFactory;
import nc.ui.gl.remotecall.GlRemoteCallProxy;
import nc.ui.gl.tools.JTableTool;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.gl.remotecall.context.GLRemoteCallContext;
import nc.vo.pub.BusinessException;

public class ToftPanelView extends ToftPanel implements IUiPanel {

   private DetailView ivjView = null;
   private ButtonObject[] m_Buttons;
   public IParent p_parent;
   public IUiPanel m_next;


   public ToftPanelView() {
      this.initialize();
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("2002004301", "UPP2002004301-000049");
   }

   private DetailView getView() {
      if(this.ivjView == null) {
         try {
            this.ivjView = new DetailView("cashbankflag = 1");
            this.ivjView.setName("View");
            this.ivjView.setLocation(0, 1);
            this.ivjView.setStrModuleNodeCode(this.getModuleCode());
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjView;
   }

   public void updateButtons() {
      super.updateButtons();
   }

   private void handleException(Throwable exception) {
   }

   private void initButtons() {
      this.m_Buttons = new ButtonObject[8];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY, ButtonKey.bnQRY, 2, "查询");
      this.m_Buttons[0].setTag(ButtonKey.bnQRY);
      this.m_Buttons[0].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[0].setCode("查询");
      this.m_Buttons[0].setHint(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[0].setPowerContrl(true);
      this.m_Buttons[1] = new ButtonObject(ButtonKey.bnVoucher, ButtonKey.bnVoucher, 2, "凭证");
      this.m_Buttons[1].setTag(ButtonKey.bnVoucher);
      this.m_Buttons[1].setName(NCLangRes.getInstance().getStrByID("common", "UC000-0000472"));
      this.m_Buttons[1].setCode("凭证");
      this.m_Buttons[1].setHint(NCLangRes.getInstance().getStrByID("common", "UC000-0000472"));
      this.m_Buttons[1].setPowerContrl(true);
      this.m_Buttons[2] = new ButtonObject(ButtonKey.bnRefresh, ButtonKey.bnRefresh, 2, "刷新");
      this.m_Buttons[2].setTag(ButtonKey.bnRefresh);
      this.m_Buttons[2].setName(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_Buttons[2].setCode("刷新");
      this.m_Buttons[2].setHint(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_Buttons[2].setPowerContrl(true);
      this.m_Buttons[3] = new ButtonObject(ButtonKey.bnFirst, ButtonKey.bnFirst, 2, "首页");
      this.m_Buttons[3].setTag(ButtonKey.bnFirst);
      this.m_Buttons[3].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000563"));
      this.m_Buttons[3].setHint(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000563"));
      this.m_Buttons[3].setPowerContrl(true);
      this.m_Buttons[4] = new ButtonObject(ButtonKey.bnPriv, ButtonKey.bnPriv, 2, "上一页");
      this.m_Buttons[4].setTag(ButtonKey.bnPriv);
      this.m_Buttons[4].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000561"));
      this.m_Buttons[4].setHint(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000561"));
      this.m_Buttons[4].setPowerContrl(true);
      this.m_Buttons[5] = new ButtonObject(ButtonKey.bnNext, ButtonKey.bnNext, 2, "下一页");
      this.m_Buttons[5].setTag(ButtonKey.bnNext);
      this.m_Buttons[5].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000562"));
      this.m_Buttons[5].setHint(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000562"));
      this.m_Buttons[5].setPowerContrl(true);
      this.m_Buttons[6] = new ButtonObject(ButtonKey.bnEnd, ButtonKey.bnEnd, 2, "末页");
      this.m_Buttons[6].setTag(ButtonKey.bnEnd);
      this.m_Buttons[6].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000564"));
      this.m_Buttons[6].setHint(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000564"));
      this.m_Buttons[6].setPowerContrl(true);
      this.m_Buttons[7] = new ButtonObject(ButtonKey.bnPrint, ButtonKey.bnPrint, 2, "打印");
      this.m_Buttons[7].setTag(ButtonKey.bnPrint);
      this.m_Buttons[7].setName(NCLangRes.getInstance().getStrByID("common", "UC001-0000007"));
      this.m_Buttons[7].setCode("打印");
      this.m_Buttons[7].setHint(NCLangRes.getInstance().getStrByID("common", "UC001-0000007"));
      this.m_Buttons[7].setPowerContrl(true);
      this.setButtons(this.m_Buttons);
   }

   private void SetBtnState(int iStatus) {
      int i;
      if(iStatus == 0) {
         for(i = 1; i < this.m_Buttons.length; ++i) {
            this.m_Buttons[i].setEnabled(false);
         }
      } else {
         for(i = 1; i < this.m_Buttons.length; ++i) {
            this.m_Buttons[i].setEnabled(true);
         }
      }

   }

   private void initialize() {
      try {
         this.setName("ToftPanelView");
         this.setLayout(new BorderLayout());
         this.setSize(774, 419);
         this.add(this.getView(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.getView().setBillModel(new DiaryBooksModel());
      this.initButtons();
      this.SetBtnState(0);
      this.getView().setBillModel(new DiaryBooksModel());
      this.getView().setBillType(NCLangRes.getInstance().getStrByID("2002004301", "UPP2002004301-000049"));
   }

   public Object invoke(Object objData, Object objUserData) {
      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftPanelView = new ToftPanelView();
         exception.setContentPane(aToftPanelView);
         exception.setSize(aToftPanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void nextClosed() {
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_Buttons.length; ++e) {
            if(bo.equals(this.m_Buttons[e])) {
               this.getView().tackleBnsEvent(this.m_Buttons[e].getTag());
               if(this.m_Buttons[e].getTag().equals(ButtonKey.bnQRY)) {
                  this.showHintMessage(NCLangRes.getInstance().getStrByID("10081206", "UPP10081206-000037"));
                  this.SetBtnState(1);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnFirst)) {
                  this.showHintMessage(ButtonKey.bnFirst);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnPriv)) {
                  this.showHintMessage(ButtonKey.bnPriv);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnNext)) {
                  this.showHintMessage(ButtonKey.bnNext);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnEnd)) {
                  this.showHintMessage(ButtonKey.bnEnd);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnVoucher)) {
                  this.showHintMessage(ButtonKey.bnVoucher);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnPrint)) {
                  this.showHintMessage(ButtonKey.bnPrint);
               } else if(this.m_Buttons[e].getTag().equals(ButtonKey.bnRefresh)) {
                  this.showHintMessage(ButtonKey.bnRefresh);
               }
               break;
            }
         }
      } catch (Exception var3) {
         this.showErrorMessage(var3.getMessage());
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent parent) {
      parent.getUiManager().removeAll();
      parent.getUiManager().add(this, this.getName());
      if(parent instanceof ToftPanel) {
         ToftPanel map = (ToftPanel)parent;
         String e = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
         map.updateStatusBarAccountMsg(e);
      }

      try {
         GLRemoteCallContext map1 = GlRemoteCallProxy.callProxy(BookCacheRequestFactory.newAccountingBookQueryContextVO("20023055"));
      } catch (BusinessException var5) {
         Logger.error("取后台缓存", var5);
      }

      HashMap map2 = new HashMap();
      map2.put(this.getView().getClass().getName(), this.getView());

      try {
         JTableTool.INSTANCE.setColumnWidth(map2);
      } catch (Exception var4) {
         Logger.error(var4.getMessage(), var4);
      }

      this.p_parent = parent;
      this.getView().setIParent(this.p_parent);
   }

   public boolean onClosing() {
      HashMap map = new HashMap();
      map.put(this.getView().getClass().getName(), this.getView());

      try {
         JTableTool.INSTANCE.saveColumnWidth(map);
      } catch (Exception var3) {
         Logger.error(var3.getMessage(), var3);
      }

      return true;
   }
}
